* {
    box-sizing: border-box;
}

.wp-block-button__link {
    transition: all 0.1s ease-out;
}

.is-style-phone-call > .wp-block-button__link {
    align-items: center;
    display: flex;
    gap: 0.25em;
    position: relative;
}

.is-style-phone-call > .wp-block-button__link::before {
    background-image: url(../images/phone.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    content: '';
    height: 1.25em;
    display: inline-block;
    width: 1em;
}

.is-style-phone-call > .wp-block-button__link::after {
    background-color: currentColor;
    bottom: 0;
    content: '';
    display: block;
    height: 2px;
    left: 50%;
    position: absolute;
    transition: all 0.2s ease-out;
    transition-property: left, width;
    width: 0;
}

.is-style-phone-call > .wp-block-button__link:hover::after {
    left: 0;
    width: 100%;
}

.wp-block-menu a {
    text-decoration-color: transparent;
    text-underline-offset: 0.125em;
    transition: text-decoration-color 0.1s ease-out;
}

.wp-block-menu a:hover {
    text-decoration-color: currentColor;
}

.wp-block-menu[data-location=primary] {
    --menu-gap: 1em;
    font-size: 0.875em;
    text-transform: uppercase;
}

.wp-block-menu[data-location=primary] > .menu > .menu-item > a:hover {
    color: var(--wp--preset--color--primary);
}

.wp-block-menu[data-location=primary] .sub-menu {
    --submenu-gap: 0.5em;
}

.wp-block-menu[data-location=primary] > .menu > .menu-item-has-children {
    position: relative;
}

.wp-block-menu[data-location=primary] > .menu > .menu-item-has-children::after {
    border: 1px solid currentColor;
    border-left-width: 0;
    border-top-width: 0;
    content: '';
    height: 0.25rem;
    left: 0.5rem;
    position: absolute;
    transform: rotate(45deg);
    top: 100%;
    width: 0.25rem;
}

.wp-block-menu[data-location=primary] > .menu > .menu-item > .sub-menu {
    background-color: var(--wp--preset--color--base);
    gap: 0 !important;
    left: 0;
    padding: 0;
    position: absolute;
    top: 100%;
    z-index: 100;
}

.wp-block-menu[data-location=primary] > .menu > .menu-item > .sub-menu > .menu-item {
    border-bottom: 1px solid var(--wp--preset--color--neutral-light);
}

.wp-block-menu[data-location=primary] > .menu > .menu-item > .sub-menu > .menu-item:last-of-type {
    border-bottom-width: 0;
}

.wp-block-menu[data-location=primary] > .menu > .menu-item > .sub-menu > .menu-item > a {
    display: block;
    padding: var(--submenu-gap);
    text-decoration-color: transparent;
    transition-property: background-color, color;
}

.wp-block-menu[data-location=primary] > .menu > .menu-item > .sub-menu > .menu-item > a:hover {
    background-color: var(--wp--preset--color--neutral-light);
    color: var(--wp--preset--color--primary);
}

.wp-block-menu[data-location=primary] > .menu > .menu-item-has-children > .sub-menu {
    display: none;
}

.wp-block-menu[data-location=primary] > .menu > .menu-item-has-children:hover > .sub-menu {
    display: flex;
}

.wp-block-menu[data-location=footer] {
    --menu-gap: 0.5em;
}
